Pillars of Eternity II - Beast of Winter

  • Pillars of Eternity II - Beast of Winter
  • Pillars of Eternity II - Beast of Winter
  • Pillars of Eternity II - Beast of Winter
  • Pillars of Eternity II - Beast of Winter
  • Pillars of Eternity II - Beast of Winter
  • Pillars of Eternity II - Beast of Winter
  • Pillars of Eternity II - Beast of Winter
  • Pillars of Eternity II - Beast of Winter
  • Pillars of Eternity II - Beast of Winter
  • Pillars of Eternity II - Beast of Winter
  • Pillars of Eternity II - Beast of Winter
This is a DLC. It requires the base game: Pillars of Eternity II: Deadfire

About this game

Far in the southernmost reaches of the Deadfire Archipelago, frost and death have encroached upon the land of the living. You, Watcher, have received a missive from the isle's residents: worshipers of Rymrgand, the god of entropy and disaster. They call you Duskspeaker, a harbinger of the end, and pray you fulfill your destiny.


In this new DLC for Pillars of Eternity II: Deadfire:


  • Embark upon an adventure that will take you to Hel itself.
  • Join forces with Vatnir, an Endings Godlike and Priest of Rymrgand, to bring battle to the monstrosities that roam the Beyond.
  • Confront an ancient dragon, whom even the gods fear, before she brings Eora to an icy end.

System requirements

Minimum:
Recommended:
Requires a 64-bit processor and operating system
Requires a 64-bit processor and operating system
Windows Vista 64-bit or newer
Windows 10 64-bit or newer
Intel Core i3-2100T @ 2.50 GHz / AMD Phenom II X3 B73
Intel Core i5-2400 @ 3.10 GHz / AMD Phenom II X6 1100T
4 GB RAM
8 GB RAM
DirectX 11 Compatible
NVIDIA GeForce GTX 960
5 GB available space
45 GB available space
DirectX Compatible Sound Card
DirectX Compatible Sound Card
Minimum:
Recommended:
Requires a 64-bit processor and operating system
Requires a 64-bit processor and operating system
OS X 10.12.6 Sierra 64-bit (or newer)
OS X 10.13.3 High Sierra 64-bit (or newer)
Intel Core i5-4570S @ 2.9GHz
Intel Core i7-4770HQ @ 2.2 GHz
8 GB RAM
16 GB RAM
NVIDIA GeForce GT750M
AMD Radeon R9 M370X
5 GB available space
45 GB available space
Minimum:
Recommended:
Requires a 64-bit processor and operating system
Requires a 64-bit processor and operating system
Ubuntu 14.04 LTS 64-bit or newer
Ubuntu 14.04 LTS 64-bit or newer
Intel Core i3-2100T @ 2.50 GHz / AMD Phenom II X3 B73
Intel Core i5-2400 @ 3.10 GHz / AMD Phenom II X6 1100T
8 GB RAM
8 GB RAM
ATI Radeon HD 4850 or NVIDIA GeForce 9600 GT
Radeon HD 7700 or NVIDIA GeForce GTX 570
5 GB available space
5 GB available space

Сomments